Create regex matching strategy

Creates regular expression payment matching strategy.

Body Params

Regex matching strategy

boolean | null
Defaults to false

Should the strategy fail instead of searching a target for each regex match if the regex matched multiple times.

string
required
length between 1 and 100

Unique identifier.

string
required
length between 1 and 255

Specifies the regular expression that we will try to find in payment description.
Must not be null.
Size must be between 1 and 255.
Must match the regular expression ^\S(.*\S)?$.

string | null

If specified, this will be used instead of the regular expression's match to search for the ident.
Supports referencing capture groups, e.g. $123 or ${name} and $ can be escaped with \\$.
Example:
- with a payment description of INV/01234567/89
- a regularExpression of (\\d*)/(\\d*) would match 01234567/89, with the capture groups 01234567 and 89
- a replaceWith of $1-$2 would yield 01234567-89

     Therefor the payment would be assigned to an invoice with ident `01234567-89`.

Size must be less than or equal to 255.

string
required

Type of the assignment target.

NOTE:* This does not necessarily need to be the actual targetType of the resulting assignments,
as for the ident of orders with a single associated document the payment will be assigned to the
document instead.
Must not be null.
Type of the assignment target.

NOTE:* This does not necessarily need to be the actual targetType of the resulting assignments,
as for the ident of orders with a single associated document the payment will be assigned to the
document instead.
One of:

DOCUMENTThe target is a document
ORDERThe target is an order
Responses

Language
Credentials
OAuth2
Missing 1 required scope
LoadingLoading…
Response
Choose an example:
application/json